Package org.eclipse.e4.ui.workbench.renderers.swt

# Class ToolItemUpdater

java.lang.Object
org.eclipse.e4.ui.workbench.renderers.swt.ToolItemUpdater

All Implemented Interfaces:
  `Runnable`

public class ToolItemUpdater extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`ToolItemUpdater()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`updateContributionItems(Selector selector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToolItemUpdater

public ToolItemUpdater()

## Method Details

### updateContributionItems

public void updateContributionItems(Selector selector)

### run

public void run()

Specified by:
  `run` in interface `Runnable`